- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_check_connections – NetApp Element Software Check connectivity to MVIP and SVIP

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Used to test the management connection to the cluster.

- The test pings the MVIP and SVIP, and executes a simple API method to verify connectivity.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
mvip - |  | Optionally, use to test connection of a different MVIP. This is not needed to test the connection to the target cluster.
password - / required |  | Password for the specified user. aliases: pass
skip - | Choices: svip mvip | Skip checking connection to SVIP or MVIP.
svip - |  | Optionally, use to test connection of a different SVIP. This is not needed to test the connection to the target cluster.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Check connections to MVIP and SVIP
      na_elementsw_check_connections:
        hostname: "{{ solidfire_hostname }}"
        username: "{{ solidfire_username }}"
        password: "{{ solidfire_password }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.